Bug 97587 - 'halt -p' does not turn power off on x86_64 boards
'halt -p' does not turn power off on x86_64 boards
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
GinGin64
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-17 21:23 EDT by Michal Jaegermann
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2003-06-17 21:23:35 EDT
Description of problem:

As in "Summary".  Where I tried (Tyan) effects are the same for
UP and SMP kernels.  A message "Power off" shows up and a box is
still powered up.  Playing with APM option does not have, not
surprisingly, any effect

I realize that one needs working ACPI and the following shows up
during a boot:

acpi: RSDP found at address 00000100000f4680
acpi: RSDP rev: 0 oem: ACPIAM
acpi: Init failed.

OTOH this is doable as after a substitution a kernel from SuSE
the same box does power down after 'halt -p' without any other changes
in a system.  An ACPI version is clearly different.
Comment 1 Bugzilla owner 2004-09-30 11:41:10 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.